///////////////////////////////////////////////////////////////////
// Functy
// 3D graph drawing utility
//
// David Llewellyn-Jones
// http://www.flypig.co.uk
//
// Spring 2009
///////////////////////////////////////////////////////////////////

#ifndef FUNCTY_H
#define FUNCTY_H

///////////////////////////////////////////////////////////////////
// Includes

#if HAVE_CONFIG_H
#include <config.h>
#endif

#include <glade/glade.h>

#include "vis.h"
#include "function.h"

///////////////////////////////////////////////////////////////////
// Defines

#define ACCURACY_NEW (0.02)

///////////////////////////////////////////////////////////////////
// Structures and enumerations

typedef struct _FunctyPersist FunctyPersist;

struct _FunctyPersist {
  VisPersist * psVisData;
  GtkWidget * psDrawingArea;
  gboolean boTimeoutContinue;
  guint TimeoutID;
  GladeXML * psXML;
  FuncPersist * psFuncEdit;
  double fNewColour;
  bool boPaused;
  bool boFileLoaded;
  GString * szFilename;
  bool boFolderSet;
  GString * szFolder;
  FUNCTYPE eNextFunctionType;
};

///////////////////////////////////////////////////////////////////
// Global variables

///////////////////////////////////////////////////////////////////
// Function prototypes

FunctyPersist * NewFunctyPersist (void);
void DeleteFunctyPersist (FunctyPersist * psFunctyData);

void SetFullScreenWindow (bool boFullScreen, FunctyPersist * psFunctyData);

///////////////////////////////////////////////////////////////////
// Function definitions

#endif /* FUNCTY_H */

